Last Comment Bug 632595 - Update public suffix list for changes in .eg and .uk
: Update public suffix list for changes in .eg and .uk
Status: RESOLVED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: x86 Windows Vista
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-08 15:42 PST by Peter Kasting
Modified: 2011-06-16 17:17 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.x-fixed
.18-fixed
.20-fixed


Attachments
Patch v.1 (762 bytes, patch)
2011-03-15 06:51 PDT, Gervase Markham [:gerv]
pkasting: review+
dveditz: approval2.0+
dveditz: approval1.9.2.18+
dveditz: approval1.9.1.20+
Details | Diff | Splinter Review

Description Peter Kasting 2011-02-08 15:42:27 PST
Recently two Chromium bugs ( http://crbug.com/71638 and http://crbug.com/72360 ) have pointed out websites that run afoul of the current public suffix rules: police.uk and enc.eg, respectively.

Looks like we need to take a look at these registrars' current policies and update.
Comment 1 Gervase Markham [:gerv] 2011-03-15 06:51:34 PDT
Created attachment 519395 [details] [diff] [review]
Patch v.1

I checked a few sources and can't find any more omissions from the .uk list apart from police.uk. The .eg stuff is straight from Wikipedia.

Gerv
Comment 2 Peter Kasting 2011-04-01 16:31:50 PDT
Comment on attachment 519395 [details] [diff] [review]
Patch v.1

I'm sorry, this slipped through my radar somehow!
Comment 3 Gervase Markham [:gerv] 2011-05-20 06:16:47 PDT
http://hg.mozilla.org/mozilla-central/rev/5b7a081209bd

Gerv
Comment 4 Mounir Lamouri (:mounir) 2011-05-20 07:57:39 PDT
Backed out due to xpcshell failure on all platforms.
See: http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305900628.1305901763.25019.gz&fulltext=1
Comment 5 Gervase Markham [:gerv] 2011-05-20 08:58:09 PDT
The cause of the failure was this bug; the new TLDs for .pk contain what Firefox things is a non-permitted codepoint (200E). And the Verisign IDN checker agrees:
http://mct.verisign-grs.com/conversiontool/convertServlet?input=%E2%80%8E%E2%80%8E%D9%BE%D8%A7%D9%83%D8%B3%D8%AA%D8%A7%D9%86&type=UTF8

I will check this all back in without that change, and we can open another bug to fix the problem.

Gerv
Comment 6 Gervase Markham [:gerv] 2011-05-20 09:03:29 PDT
Sorry, comment 5 was in the wrong bug (see bug 658084).

Gerv
Comment 7 Gervase Markham [:gerv] 2011-05-20 09:14:11 PDT
Attempt 2: http://hg.mozilla.org/mozilla-central/rev/a2affb2e653f

Gerv
Comment 8 Daniel Veditz [:dveditz] 2011-05-23 10:25:28 PDT
Comment on attachment 519395 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.18 and 1.9.1.20, a=dveditz for release-drivers
Approved for the mozilla2.0 repository, a=dveditz for release-drivers

Mozilla only has plans to build 1.9.2 releases, but you're approved to land on the other two repos if you'd like.
Comment 10 Al Billings [:abillings] 2011-06-16 17:17:03 PDT
Verified for 1.9.2.18 in source.

Note You need to log in before you can comment on or make changes to this bug.